xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Ilya Portnov <portnov84@rambler.ru>
Safe Haskell | None

XMonad.Layout.CenteredMaster

Contents

- Usage

Description

Two layout modifiers. centerMaster places master window at center, on top of all other windows, which are managed by base layout. topRightMaster is similar, but places master window in top right corner instead of center.

Synopsis

- centerMaster :: LayoutClass l a => l a -> ModifiedLayout CenteredMaster l a
- topRightMaster :: LayoutClass l a => l a -> ModifiedLayout TopRightMaster l a
- data CenteredMaster a
- data TopRightMaster a

# Usage

This module defines two new layout modifiers: centerMaster and topRightMaster. centerMaster places master window at center of screen, on top of others. All other windows in background are managed by base layout. topRightMaster is like centerMaster, but places master window in top right corner instead of center.

Yo can use this module by adding folowing in your `xmonad.hs`:

     import XMonad.Layout.CenteredMaster

Then add layouts to your layoutHook:

     myLayoutHook = centerMaster Grid ||| ...

centerMaster :: LayoutClass l a => l a -> ModifiedLayout CenteredMaster l aSource

Modifier that puts master window in center, other windows in background are managed by given layout

topRightMaster :: LayoutClass l a => l a -> ModifiedLayout TopRightMaster l aSource

Modifier that puts master window in top right corner, other windows in background are managed by given layout

data CenteredMaster a Source

Data type for LayoutModifier

Instances

LayoutModifier CenteredMaster Window |
Read (CenteredMaster a) |
Show (CenteredMaster a) |

data TopRightMaster a Source

Instances

LayoutModifier TopRightMaster Window |
Read (TopRightMaster a) |
Show (TopRightMaster a) |